<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: font.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>font.c File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7">mfont</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new font.  <a href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6">mfont_parse_name</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a font by parsing a fontname.  <a href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2">mfont_unparse_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a fontname from a font.  <a href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9c27528cb4a68b6c7f845ef2b98b0f3c">mfont_copy</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a copy of a font.  <a href="group__m17nFont.html#ga9c27528cb4a68b6c7f845ef2b98b0f3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911">mfont_get_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a property value of a font.  <a href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237">mfont_put_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Put a property value to a font.  <a href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88">mfont_selection_priority</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the font selection priority.  <a href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229">mfont_set_selection_priority</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the font selection priority.  <a href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2">mfont_find</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, int *score, int max_size)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find a font.  <a href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82">mfont_set_encoding</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> encoding_name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> repertory_name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set encoding of a font.  <a href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaa042ce71ba7811ef9374fd2a58e23e7f">mfont_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a fontname from a font.  <a href="group__m17nFont.html#gaa042ce71ba7811ef9374fd2a58e23e7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e">mfont_from_name</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new font from fontname.  <a href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga50dc0617125f859540f03f1efd8aaa14">mfont_resize_ratio</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get resize information of a font.  <a href="group__m17nFont.html#ga50dc0617125f859540f03f1efd8aaa14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0">mfont_list</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int maxnum)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a list of fonts.  <a href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga7de45bffe64304ddddfe29f6c1a209f6">mfont_list_family_names</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a list of font famiy names.  <a href="group__m17nFont.html#ga7de45bffe64304ddddfe29f6c1a209f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gac579c026f0165e5b9b9a255995162f35">mfont_check</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check the usability of a font.  <a href="group__m17nFont.html#gac579c026f0165e5b9b9a255995162f35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33a65ab6f61909ba85dd93ee43835f0a">mfont_match_p</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check is a font matches with a font spec.  <a href="group__m17nFont.html#ga33a65ab6f61909ba85dd93ee43835f0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga209b13afe6907de28d1fad619ad354d7">mfont_open</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Open a font.  <a href="group__m17nFont.html#ga209b13afe6907de28d1fad619ad354d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga35748de25dce8fe94e765d913d7f674a">mfont_encapsulate</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> data_type, void *data)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Encapusulate a font.  <a href="group__m17nFont.html#ga35748de25dce8fe94e765d913d7f674a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga52df122a9924755823427845652d1306">mfont_close</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Close a font.  <a href="group__m17nFont.html#ga52df122a9924755823427845652d1306"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2">mdebug_dump_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a font.  <a href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">mfont_freetype_path</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of font files and directories that contain font files.  <a href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: Keys of font property.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpbe8fc97543de56bd250933f8edafec95"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">Mfoundry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying foundry.  <a href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">Mfamily</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying family.  <a href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308">Mweight</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying weight.  <a href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">Mstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying style.  <a href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">Mstretch</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying stretch.  <a href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9">Madstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying additional style.  <a href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">Mspacing</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying spacing.  <a href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76">Mregistry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying registry.  <a href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">Msize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying size.  <a href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga8a615da3d1be5e23ca2d4cc02496dc97">Motf</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying file name.  <a href="group__m17nFont.html#ga8a615da3d1be5e23ca2d4cc02496dc97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">Mfontfile</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying file name.  <a href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06">Mresolution</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying resolution.  <a href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga99d4189483ab20c0c91de2693c62f073">Mmax_advance</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of font property specifying max advance width.  <a href="group__m17nFont.html#ga99d4189483ab20c0c91de2693c62f073"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">Mfontconfig</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol of name "fontconfig".  <a href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded">Mx</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol of name "x".  <a href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">Mfreetype</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol of name "freetype".  <a href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a">Mxft</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol of name "xft".  <a href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
